
#ifdef TUSBKDIO_EXPORTS
#define TUSBKDIO_API __declspec(dllexport) __stdcall
#else
#define TUSBKDIO_API __declspec(dllimport) __stdcall
#endif

#ifdef __cplusplus
extern "C"{
#endif

void TUSBKDIO_API TUSBK16DIO_Load(void);
void TUSBKDIO_API TUSBK16DIO_Unload(void);
short TUSBKDIO_API TUSBK16DIO_Chk(short Id);
short TUSBKDIO_API TUSBK16DIO_Dir(short Id,BYTE Port,BYTE Dir);
short TUSBKDIO_API TUSBK16DIO_PortWrite(short Id,BYTE Port,BYTE Data);
short TUSBKDIO_API TUSBK16DIO_Write(short Id,BYTE Data1,BYTE Data2);
short TUSBKDIO_API TUSBK16DIO_Read(short Id,BYTE *Data1,BYTE *Data2);
short TUSBKDIO_API TUSBK16DIO_DirRead(short Id,BYTE *Dir1,BYTE *Dir2);
short TUSBKDIO_API TUSBK16DIO_OutputRead(short Id,BYTE *Data1,BYTE *Data2);

#ifdef __cplusplus
}
#endif
